// VidMax.js for PSPTube
// Made By JK108

function VidMax_CheckURL( url, option )
{
	if (url.match("http://www.vidmax.com") == "http://www.vidmax.com"){
		return 1;
	} else{
		return 0;
	}
}

/*
 Get a VidMax URL
*/
function VidMax_GetURL( url, option )
{
	var contents = GetContents(url);
	if(contents == null) { return null; /* failed to get page */ }
	var video_url = contents.match(/addParam\(\'flashvars\',\'file\=(.*?)&/);
	var video_url = video_url[1];
	return video_url;
}

function VidMax_Search( keyword, start_index, length, option )
{
	var result = new Object();
        result.keyword   = keyword;	// Search
	result.VideoInfo = new Array();	// Results in sequence
	result.start     = start_index;	// Index of first result
	result.end       = 0;
	result.total     = -1;
	var perpage = 22;


	result.start = (((result.start - 1) / 10) * perpage) + 1;


	if(result.start < perpage){
	var contents = GetContents( "http://www.vidmax.com/1/" + keyword.replace(/ /g, "%20") + "/" );
	} else{
	var num = 1 + ((result.start - 1) / perpage);
	var contents = GetContents( "http://www.vidmax.com/" + num + "/" + keyword.replace(/ /g, "%20") + "/" );
	}
	if(contents == null) { return null; /* failed to get page */ }


	result.total = 10000;


	while(1){
	var pos = contents.indexOf("<div class=\"conbox\">");

	if(pos != -1){
		contents = contents.substring(pos + 20, contents.length);
		//Get URL
		var url = contents.match(/\<a href\=\"\/video\/(.*?)\//);
		var url = "http://www.vidmax.com/loadplayer.js?id=" + url[1];
		//Get Thumbnail
		var thumb_url = contents.match(/\<img src\=\"(.*?)\"/);
		var thumb_url = "http://www.vidmax.com" + thumb_url[1];
		//Title
		var title = contents.match(/\" title\=\"(.*?)\"/);
		var title = ImproveText(title[1]);
		//Description
		var description = contents.match(/\<p\>(.*?)\<\/p\>/);
		var description = splitTo2Lines(ImproveText(description[1]), 60);
		//Views
		var views = contents.match(/\>Views\:\<\/span\> (.*?)\<\/p\>/);
		var views = parseInt(views[1].replace(/,/g, ""));
		//Rating
		var rating = contents.match(/\>Rating\:\<\/span\> (.*?)\<\/p\>/);
		var rating = parseFloat(rating[1]);
		
		info = new Object();
		info.URL = url;
		info.ThumbnailURL = thumb_url;
		info.Title = title;
		info.Description = description;
		info.ViewCount = views;
		info.RatingAvg = rating;
		info.SaveFilename = ToFilename(title);
		info.attr = 7;
		result.VideoInfo.push( info );
		if(result.VideoInfo.length == perpage){break;}
		if(result.start + (result.VideoInfo.length - 1) == result.total){break;}
	} else{
		break;
	}
	}


	if(result.VideoInfo.length) {
		result.end = result.start + (result.VideoInfo.length - 1);
	} else {
		result.total = 0;	// no results.
	}

	if(result.VideoInfo.length != perpage){result.total = result.end;}

	return result;
}

// Service metadata
var VidMax = new Object();
VidMax.Name          = "VidMax";		/* Service name */
VidMax.Description   = "VidMax";		/* Service description */
VidMax.SearchDesc    = "VidMax";		/* Service search screen description */
VidMax.SearchOSKMode = 1;			/* OSK mode 1: English only  2: Japanese */
VidMax.CheckURL      = VidMax_CheckURL;		/* CheckURL function */
VidMax.GetURL        = VidMax_GetURL;		/* GetURL function */
VidMax.Search        = VidMax_Search;		/* Search function */

// add VidMax to site list
SiteList.push( VidMax );
